#### Description:

This function returns a pointer to a specified Frame in a FrameSet.

#### Synopsis

AstFrame ∗astGetFrame( AstFrameSet ∗this, int iframe )

#### Parameters:

##### this

Pointer to the FrameSet.

##### iframe

The index of the required Frame within the FrameSet. This value should lie in the range from 1 to the number of Frames in the FrameSet (as given by its Nframe attribute).

#### Returned Value

##### astGetFrame()

A pointer to the requested Frame.

#### Notes:

- A value of AST__BASE or AST__CURRENT may be given for the `"` iframe`"` parameter to specify the base Frame or the current Frame respectively.

- This function increments the RefCount attribute of the selected Frame by one.

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory